<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}
function buscarCabecera(idSucursal,idMercado)
{
	
	
	var url = "<?=buildUrl('covid19/request')?>";
	var pars = 'idSucursal=' + idSucursal + '&idMercado=' + idMercado;
	
	var myAjax = new Ajax.Request(
		url, 
		{
			method: 'get', 
			parameters: pars, 
			onComplete: showResponse
		});
	
}

function showResponse(originalRequest)
{
	str = returnQueryStringForm()
	//put returned XML in the textarea
	var respuesta = originalRequest.responseText;
	//alert(respuesta)
	if(respuesta == "si"){
		parent.objMainTab.reqBody('<?=buildUrl('covid19/generar')?>','001&'+str); 
	}else{
		if(respuesta == "no"){
			alert("No se puede realizar esta operacion");
		}
	}
}
executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('covid19/grid', "block=".$block)?>";
	}else{
	  switch (action){
		case 'addpays':
	    			if($('cboSucursal').selectedIndex > 0){
	    				if($('cboMercado').selectedIndex > 0){
							buscarCabecera($('cboSucursal').value,$('cboMercado').value)
						}else{
							alert('Debe de seleccionar el Mercado')
							return;
						}
	    			}else{
	    				alert('Debe de seleccionar un Sucursal')
	    				return;
	    			}
	    			break;
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('cli/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('cli/pdf')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('covid19/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('covid19/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}



acutalizarMercado = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getMercado&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>

<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>

<?php

$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

//Tipos de Negocio
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_TipoNegocio = $o_ClienteSystemClass->getTipoNegocio();

//Carga los Mercado
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

$o_SucursalBean = new SucursalBean();
$o_SucursalBL = new SucursalBL();
$a_Sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <input type="hidden" name="IdColaborador"  id="IdColaborador">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Lista de Reprogramacion Covid-19 </li></td>
          <td align="right" valign="baseline">
            <input name="add" type="button" class="button" value="Generar Reprogramacion"  onClick="exportFindControl('addpays');" >
            
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
             
              <tr>
                <td width="100%" valign="top">
                  <table class="SubCabecera" width="75%" border="0" cellpadding="0" cellspacing="2">
                     <tr>
		                <td height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Sucursal</label></td>
		                <td nowrap="nowrap">
		                      	 <select name="cboSucursal" id="cboSucursal" type="text" class="combo" onchange="acutalizarMercado('cboMercado',this);"/> 
					 	            <option value="" > - Seleccionar - </option>
			                        <?php foreach ($a_Sucursal as $iKey => $o_SucursalBean){ ?>
			                        <option value="<?=$o_SucursalBean->getIdSucursal()?>">
			                          <?=$o_SucursalBean->getDescripcion()?>
			                        </option>
			                        <?php } ?> 
				              </select>
		               	</td>
		               	<td height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Mercado</label></td>
		                <td nowrap="nowrap">
		                      	 <select name="cboMercado" id="cboMercado" type="text" class="combo"  /> 
					 	            <option value="" > - Seleccionar - </option>
				                </select>
		               	</td>
						
		           	 
		            </tr>
					<tr>
			    		<td align="right" style="vertical-align:top" colspan="6"><input class="button" type="button" value="Buscar" onclick="findControl();"/></td>
			 		 </tr>
                  </table>
                </td>
            </table>
          </td>
        </tr>
      </table>
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>


<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCliente').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    $('cboTipoNegocio').value = "<?=$cboTipoNegocio?>";
    $('cboSexo').value = "<?=$cboSexo?>"; 
    /* if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCliente').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    $('cboTipoNegocio').value = "<?=$cboTipoNegocio?>";
    $('cboSexo').value = "<?=$cboSexo?>"; 
     /*if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCliente').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    $('cboTipoNegocio').value = "<?=$cboTipoNegocio?>";
    $('cboSexo').value = "<?=$cboSexo?>"; 
    /* if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php 
  
}
?>